> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Thông tin sao kê tiền

> Lấy sao kê tiền (lịch sử giao dịch) của tiểu khoản.



## OpenAPI

````yaml /vi/openapi/tcbs.v1.openapi.yaml get /erebos/v2/digital/trans-hist-cashStatements
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
tags:
  - name: authentication
    description: Xác thực và cấp token truy cập.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản, tài sản và hạn mức.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu chứng khoán và phái sinh.
    x-group: Dữ liệu thị trường
  - name: cash
    description: Giao dịch và thông tin tiền.
    x-group: Tiền
  - name: stock-orders
    description: Đặt, sửa, hủy và tra cứu lệnh cổ phiếu.
    x-group: Lệnh cổ phiếu
  - name: derivative-orders
    description: Đặt, sửa, hủy và tra cứu lệnh phái sinh.
    x-group: Lệnh phái sinh
paths:
  /erebos/v2/digital/trans-hist-cashStatements:
    get:
      tags:
        - cash
      summary: Thông tin sao kê tiền
      description: Lấy sao kê tiền (lịch sử giao dịch) của tiểu khoản.
      operationId: getErebosDigitalTransHistCashStatements
      parameters:
        - name: accountNo
          in: query
          required: true
          description: Số tiểu khoản.
          schema:
            type: string
        - name: fromDate
          in: query
          required: true
          description: Từ ngày giao dịch (YYYY-MM-DD).
          schema:
            type: string
        - name: toDate
          in: query
          required: true
          description: Đến ngày giao dịch (YYYY-MM-DD).
          schema:
            type: string
        - name: pageSize
          in: query
          required: true
          description: Kích thước trang.
          schema:
            type: string
        - name: pageIndex
          in: query
          required: true
          description: Số trang.
          schema:
            type: string
        - name: transactionCode
          in: query
          required: true
          description: Loại giao dịch.
          schema:
            type: string
      responses:
        '200':
          description: Phản hồi thành công
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: object
                    properties:
                      pageIndex:
                        type: integer
                        format: int64
                        description: Page index.
                      pageSize:
                        type: integer
                        format: int64
                        description: Page size.
                      totalCreditAmount:
                        type: integer
                        format: int64
                        description: Tổng tiền ghi có.
                      totalDebitAmount:
                        type: integer
                        format: int64
                        description: Tổng phát sinh tăng.
                      totalCount:
                        type: integer
                        format: int64
                        description: Tổng số bản ghi.
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            custodyID:
                              type: string
                              description: Số tài khoản.
                            transactionCode:
                              type: string
                              description: Loại giao dịch.
                            transactionName:
                              type: string
                              description: Tên loại giao dịch.
                            debitAmount:
                              type: number
                              format: double
                              description: Số tiền phát sinh tăng.
                            creditAmount:
                              type: number
                              format: double
                              description: Số tiền phát sinh giảm.
                            businessDate:
                              type: string
                              description: Ngày làm việc.
                            transactionDate:
                              type: string
                              description: Ngày giao dịch.
                            transactionNum:
                              type: string
                              description: Số giao dịch.
                            accountNo:
                              type: string
                              description: Số tiểu khoản.
                            descriptions:
                              type: string
                              description: Mô tả.
              example:
                response:
                  pageIndex: 1
                  pageSize: 25
                  totalCreditAmount: 9545594
                  totalDebitAmount: 10715
                  totalCount: 8
                  data:
                    - custodyID: 105C209414
                      transactionCode: '1153'
                      transactionName: Ứng trước tiền bán
                      debitAmount: 0
                      creditAmount: 2814359
                      businessDate: '2022-12-16'
                      transactionDate: '2022-12-16'
                      transactionNum: '6800124310'
                      accountNo: '0001490922'
                      descriptions: UTTB ngày GD 16-DEC-22, ngày TT 20/12/2022
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    Unauthorized:
      description: Không xác thực — thiếu, sai hoặc không hợp lệ Bearer token.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.